Edit NFT by Locator
curl --request PATCH \
--url https://staging.crossmint.com/api/v1-alpha1/nfts/{locator} \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"metadata": {
"name": "Crossmint Example NFT",
"image": "https://www.crossmint.com/assets/crossmint/logo.png",
"description": "My NFT created via the mint API!",
"animation_url": "",
"attributes": [
{
"trait_type": "<string>",
"value": "<string>"
}
]
},
"reuploadLinkedFiles": true
}
'import requests
url = "https://staging.crossmint.com/api/v1-alpha1/nfts/{locator}"
payload = {
"metadata": {
"name": "Crossmint Example NFT",
"image": "https://www.crossmint.com/assets/crossmint/logo.png",
"description": "My NFT created via the mint API!",
"animation_url": "",
"attributes": [
{
"trait_type": "<string>",
"value": "<string>"
}
]
},
"reuploadLinkedFiles": True
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
metadata: {
name: 'Crossmint Example NFT',
image: 'https://www.crossmint.com/assets/crossmint/logo.png',
description: 'My NFT created via the mint API!',
animation_url: '',
attributes: [{trait_type: '<string>', value: '<string>'}]
},
reuploadLinkedFiles: true
})
};
fetch('https://staging.crossmint.com/api/v1-alpha1/nfts/{locator}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"actionId": "d5e24c69-530d-4efd-9201-e6f9d6f647e2",
"action": "nfts.update",
"status": "pending OR succeeded",
"data": {
"txId": "succeeded status ONLY - 0x69cf6d971e6745f25f683db9c87663839be02bdaa4a70f0724f490d7335b0081",
"chain": "polygon",
"collection": {
"id": "c242dcdb-57a7-4944-af9f-2c1472fa70fb",
"contractAddress": "0xc0DeE392CBe1af5f8211A17EAffAA5c358C0fE6d"
},
"token": {
"id": "27db27cf-1596-4ab0-9826-a6740ffce61a",
"owner": {
"walletAddress": "0x0794f3aa4521d19273D775a08289110523D34DD4"
},
"tokenId": "1"
},
"changes": [
"metadata"
]
},
"startedAt": "2024-03-08T00:10:59.000Z",
"completedAt": "succeeded status ONLY - 2024-03-08T00:11:01.000Z",
"resource": "https://staging.crossmint.com/api/2022-06-09/collections/c242dcdb-57a7-4944-af9f-2c1472fa70fb/nfts/d5e24c69-530d-4efd-9201-e6f9d6f647e2"
}{
"error": true,
"message": "The specified NFT locator is invalid. See the valid format on https://docs.crossmint.com/api-reference/."
}{
"error": true,
"message": "Malformed API key. / API key provided doesn't have required scopes."
}{
"error": true,
"message": "Couldn't find Crossmint managed NFT {locator}"
}{
"error": true,
"message": "Currently, only EVM Locators are supported for this route."
}{
"error": true,
"message": "Please try again in a few minutes. If the issue still persists, contact Crossmint support."
}Edit NFT by Locator
Edit a minted NFT’s metadata using a Crossmint NFT locator.
API scope required: nfts.update
PATCH
/
v1-alpha1
/
nfts
/
{locator}
Edit NFT by Locator
This is an alpha API and subject to change.
{chain}:{contractAddress}:{tokenId}
Example: polygon:0x5af0d9827e0c53e4799bb226655a1de152a425a5:23Authorizations
Obtained in the Crossmint developer console
Path Parameters
The locator of the NFT, which includes the blockchain, contract address, and token ID.
Example:
"polygon:0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045:52"
Body
application/json
Response
Success
Example:
"d5e24c69-530d-4efd-9201-e6f9d6f647e2"
Example:
"nfts.update"
Example:
"pending OR succeeded"
Show child attributes
Show child attributes
Example:
"2024-03-08T00:10:59.000Z"
The time this operation completed in UTC.
This is only present when status is succeeded
Example:
"succeeded status ONLY - 2024-03-08T00:11:01.000Z"
Example:
"https://staging.crossmint.com/api/2022-06-09/collections/c242dcdb-57a7-4944-af9f-2c1472fa70fb/nfts/d5e24c69-530d-4efd-9201-e6f9d6f647e2"
Was this page helpful?
⌘I

